import React, { FC } from 'react';
export declare enum GridSizeEnum {
    '2xl' = "2xl",
    base = "base",
    lg = "lg",
    md = "md",
    sm = "sm",
    xl = "xl"
}
export declare enum GridVerticalAlignEnum {
    bottom = "bottom",
    center = "center",
    top = "top"
}
export type GridProps = {
    children?: React.ReactNode | React.ReactNode[];
    className?: string;
    cols?: Partial<Record<GridSizeEnum, number>>;
    gap?: number;
    vertical?: GridVerticalAlignEnum;
};
export declare const breakpointSizes: (type: string) => (obj: Record<never, unknown>) => never[];
export declare const Grid: FC<GridProps>;
